body {
    margin : 0px;
    padding: 0px;
    font-family: Garamond;
    /*background: linear-gradient(45deg, rgb(23, 42, 60), rgb(163, 198, 234));*/
    /*background: linear-gradient(90deg, rgb(255, 255, 255), rgb(3, 37, 69));*/
    background-color: rgb(255, 255, 255);/*rgb(250, 238, 222);*/
    background-repeat: no-repeat; 
    background-attachment: fixed; 
    background-size: cover;
    min-height: 100vh;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
    padding: 0 40px; 
    /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);*/
}

h1 {
    color: /*rgb(184, 198, 243); */ rgb(23, 42, 60);
    font-family: Didot;
    font-size: 20px;
    font-weight: normal;
    padding: 0px;
    line-height: 30px;
    text-decoration: none;
}

.hello {
    color: rgb(23, 42, 60);
    font-family: Didot;
    font-size: 60px;
    text-align: center;
}

h1 a {
    display: block; 
    color: rgb(23, 42, 60);
    text-decoration: none; 
}

h1 a:hover {
    color: rgb(255, 255, 255);
}

nav {
    margin-left: auto;
    display: flex;
}

.link {
    color: rgb(23, 42, 60);
    font-family: Didot;
    font-size: 20px;
    font-weight: normal;
    line-height: 30px;
    text-align: left;
    padding: 0px;
    margin-left: 20px;
    text-decoration: none;
}

.link:hover {
    color: rgb(255, 255, 255);
}

p {
    /*color: rgb(255, 255, 255);*/
    color: rgb(1, 15, 28);
    font-family: Baskerville;
    font-size: 20px;
    font-weight: bold;
    line-height: 30px;
    text-align: left;
    padding: 10px;
    margin-top: 50px;
    margin-left: 50px;
    margin-right: 350px;
    text-decoration: none;
}

h3 {
    color: rgb(255, 255, 255);;
    font-family: Baskerville;
    font-size: 25px;
    font-weight: 600;
    margin-left: 60px;
    margin-top: 100px;
    line-height: 30px;
    text-align: left;
    margin-bottom: 50px;
    padding: 10px;
    width: 100%;
    margin: 0;
}


#about {
    background-color: rgb(1, 15, 28);
    width: 50%;
    margin-top: 100px;
    padding: 50px; 
    box-sizing: border-box; 
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

#intro {
    color: rgb(255, 255, 255);
    font-family: Baskerville;
    font-weight: 500;
    line-height: 30px;
    text-align: left;
    margin-bottom: 50px;
    padding: 10px;
    width: 100%;
    margin: 0;
}

.line {
    width: 100%;
    height: 0.5px;
    background-color: rgb(23, 42, 60);
    color: rgb(23, 42, 60);
    margin-bottom: 100px;
}

.line1 {
    width: 75%;
    height: 1px;
    background-color: rgb(23, 42, 60);
    color: rgb(23, 42, 60);
    margin-bottom: 200px;
}

.container {
    position: relative;
    width: 700px; 
    height: 150px;
    margin: 0 auto;
}

.box {
    width: 100%;
    height: 100%;
    background-color: lightblue; 
    position: absolute;

}

.overlapping-text {
    position: absolute;
    font-family: Didot;
    color: rgb(23, 42, 60);
    font-size: 50px;
    top: -5px; 
    left: 20px;
    transform: translateY(-50%); 
    padding: 5px; 
    z-index: 10; 
    width: max-content;
    box-sizing: border-box;
    overflow: visible; 
}

.overlapping-text2 {
    position: absolute;
    font-family: Didot;
    color: rgb(23, 42, 60);
    font-size: 22px;
    top: 80px; 
    left: auto;
    right: auto; 
    padding: 5px;  

    box-sizing: border-box;
    overflow: visible; 
    margin-left: 0px;
}

.buttons-container {
    display: flex;
    justify-content: center; 
    align-items: center; 
    flex-direction: row; 
    gap: 100px; 
    margin-top: 50px;
}

.button-link button {
    padding: 10px 25px;
    font-size: 20px;
    border: 1px solid rgb(23, 42, 60);
    background: transparent;
    color: rgb(23, 42, 60);
    cursor: pointer;
    transition: 0.5s;
    font-family: Didot;
    /* Remove margin-top and position properties */
}

.button-link button:hover {
    background-color: rgb(23, 42, 60);
    color: rgb(255, 255, 255);
}

.about {
    position: relative;
    width: 700px; 
    height: 650px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 150px;
}

.about-box {
    width: 100%;
    height: 100%;
    background-color: /*rgb(255, 170, 170) rgb(165, 220, 189); */ lightblue;
    position: absolute;

}

.overlapping {
    position: absolute;
    font-family: Didot;
    color: rgb(23, 42, 60);
    font-size: 50px;
    top: -5px; 
    left: auto;
    right: auto;
    transform: translateY(-50%); 
    padding: 5px; 
    z-index: 10; 
    width: max-content;
    box-sizing: border-box;
    overflow: visible; 
}

.overlapping2 { 
    position: absolute;
    font-family: Didot;
    color: rgb(23, 42, 60);
    font-size: 20px;
    top: 40px; 
    left: auto;
    right: auto;
    padding: 15px; 
    box-sizing: border-box;
    overflow: visible; 

}

.about-image {
    width: 45%;
    height: auto;
    border-radius: 10%;
    margin-left: 675px;
    margin-top: 120px;
    z-index: 2;
}

.contact {
    position: relative;
    width: 600px; 
    height: 150px;
    margin-right: 0px;
    margin-left: auto;
    margin-top: 150px;
    margin-bottom: 200px;

}

.contact-box {
    width: 100%;
    height: 100%;
    background-color: rgb(120, 151, 192); /*rgb(107, 141, 215); */
    position: absolute;
}

.overlapping3 {
    position: absolute;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: Didot;
    color: rgb(23, 42, 60);
    font-size: 20px;
    top: 65px; 
    left: 25px;
    right: 40px;
    padding: 5px; 
    z-index: 10; 
    box-sizing: border-box;
    overflow: visible; 

}

.linkedin, .github {
    text-decoration: none;
    color:rgb(23, 42, 60);
    justify-content: space-between;
}

.linkedin:hover, .github:hover {
    text-decoration: underline;
    
}


